libzypp: zypp::target::CommitPackageCacheReadAhead Class Reference

libzypp 17.38.13

zypp::target::CommitPackageCacheReadAhead Class Reference

`#include <zypp/target/CommitPackageCacheReadAhead.h>`

Inheritance diagram for zypp::target::CommitPackageCacheReadAhead:

## Public Member Functions
| CommitPackageCacheReadAhead (PackageProvider packageProvider_r)
ManagedFile | get (const PoolItem &citem_r) override
| Provide the package.
Public Member Functions inherited from zypp::target::CommitPackageCache::Impl
| Impl (PackageProvider &&packageProvider_r)
virtual | ~Impl ()
void | setCommitList (std::vector< sat::Solvable > commitList_r)
const std::vector< sat::Solvable > & | commitList () const
bool | preloaded () const
void | preloaded (bool newval_r)

## Private Member Functions
bool | onInteractiveMedia (const PoolItem &pi) const
| Return whether pi is located on a CD/DVD.
void | cacheLastInteractive (const PoolItem &citem_r)
| Fill the cache.
void | doCacheLastInteractive (const PoolItem &citem_r)
| cacheLastInteractive helper .

## Private Attributes
DefaultIntegral< unsigned, 0 > | _dbgChanges
IMediaKey | _lastInteractive

## Additional Inherited Members
Public Types inherited from zypp::target::CommitPackageCache::Impl
using | PackageProvider = CommitPackageCache::PackageProvider
Protected Member Functions inherited from zypp::target::CommitPackageCache::Impl
virtual ManagedFile | sourceProvidePackage (const PoolItem &pi) const
| Let the Source provide the package.
virtual ManagedFile | sourceProvideCachedPackage (const PoolItem &pi) const
| Let the Source provide an already cached package.

## Detailed Description

Definition at line 83 of file CommitPackageCacheReadAhead.h.

## Constructor & Destructor Documentation

## ◆ CommitPackageCacheReadAhead()

zypp::target::CommitPackageCacheReadAhead::CommitPackageCacheReadAhead | ( | PackageProvider | packageProvider_r | ) |

Definition at line 53 of file CommitPackageCacheReadAhead.cc.

## Member Function Documentation

## ◆ get()

ManagedFile zypp::target::CommitPackageCacheReadAhead::get | ( | const PoolItem & | citem_r | ) |
| overridevirtual

Provide the package.

Either from Source or from cache.

Reimplemented from zypp::target::CommitPackageCache::Impl.

Definition at line 139 of file CommitPackageCacheReadAhead.cc.

## ◆ onInteractiveMedia()

bool zypp::target::CommitPackageCacheReadAhead::onInteractiveMedia | ( | const PoolItem & | pi | ) | const
| private

Return whether pi is located on a CD/DVD.

Definition at line 62 of file CommitPackageCacheReadAhead.cc.

## ◆ cacheLastInteractive()

void zypp::target::CommitPackageCacheReadAhead::cacheLastInteractive | ( | const PoolItem & | citem_r | ) |
| private

Fill the cache.

Called before changing from one interactive media to another. Performs the read ahead of packages trying to avoid the necessity of switching back to the current media later.

Definition at line 77 of file CommitPackageCacheReadAhead.cc.

## ◆ doCacheLastInteractive()

void zypp::target::CommitPackageCacheReadAhead::doCacheLastInteractive | ( | const PoolItem & | citem_r | ) |
| private

cacheLastInteractive helper .

Definition at line 96 of file CommitPackageCacheReadAhead.cc.

## Member Data Documentation

## ◆ _dbgChanges

DefaultIntegral<unsigned,0> zypp::target::CommitPackageCacheReadAhead::_dbgChanges
| private

Definition at line 108 of file CommitPackageCacheReadAhead.h.

## ◆ _lastInteractive

IMediaKey zypp::target::CommitPackageCacheReadAhead::_lastInteractive
| private

Definition at line 109 of file CommitPackageCacheReadAhead.h.

The documentation for this class was generated from the following files:

- zypp/target/CommitPackageCacheReadAhead.h
- zypp/target/CommitPackageCacheReadAhead.cc